/* You can add global styles to this file, and also import other style files */
@import 'tailwindcss/base';
@import 'tailwindcss/components';
@import 'tailwindcss/utilities';
@import '../node_modules/bootstrap-icons/font/bootstrap-icons';
@import url('https://fonts.googleapis.com/css2?family=Oswald:wght@200;300;400;500;600;700&family=Open+Sans:ital,wght@0,300;0,400;0,500;0,700;1,300;1,400;1,500;1,700&display=swap');

.owl-next {
  position: absolute;
  display: flex !important;
  top: calc(50% - 4rem) !important;
  align-items: center;
  right: -3.5rem !important;
  font-size: 1.5rem !important;
  background: #00000022 !important;
  color: #000 !important;
  transition: 0.3s ease-in-out;
  &:hover {
    background: #418795 !important;
    cursor: pointer;
    color: #fff !important;
    transition: all;
    transition: 0.3s ease-in-out;
  }
  @media (max-width: 1550px) {
    display: none !important;
  }
}

.owl-prev {
  position: absolute;
  display: flex !important;
  top: calc(50% - 4rem) !important;
  align-items: center;
  left: -3.5rem !important;
  font-size: 1.5rem !important;
  background: #00000022 !important;
  color: #000 !important;
  transition: 0.3s ease-in-out;
  &:hover {
    background: #418795 !important;
    cursor: pointer;
    color: #fff !important;
    transition: all;
    transition: 0.3s ease-in-out;
  }
  @media (max-width: 1550px) {
    display: none !important;
  }
}

.loading-gray {
  background-image: linear-gradient(45deg, #c5dce0 0%, #deebee 100%);
  background-size: 200%;
  background-position-x: 0%;
  animation: loadingBg 1s infinite;
}

.loading-input {
  &::after {
    content: '';
    display: block;
    position: absolute;
    top: 10%;
    left: 5%;
    width: 1rem;
    height: 1rem;
    background-color: #000;
  }
}

@keyframes loadingBg {
  0% {
    background-position-x: 250%;
  }
  100% {
    background-position-x: 0%;
  }
}

.has-line {
  position: relative;
  &::after {
    content: '';
    display: block;
    height: 8px;
    width: 225px;
    background-image: linear-gradient(45deg, #418795, #5fa2af6c);
    position: absolute;
    top: 105%;
    left: 0;
    border-radius: 15px;
  }
}
.has-line-white {
  position: relative;
  &::after {
    content: '';
    display: block;
    height: 8px;
    width: 225px;
    background-image: linear-gradient(45deg, rgb(167, 201, 207), #e0e0e9);
    position: absolute;
    top: 105%;
    left: 0;
    border-radius: 15px;
  }
}
.line-to-left {
  position: relative;
  &::after {
    content: '';
    display: block;
    height: 8px;
    width: 250px;
    background-image: linear-gradient(45deg, #418795, #5fa2af6c);
    position: absolute;
    top: 105%;
    left: 1rem;
    border-radius: 15px;
  }
}

.form-input-full {
  @apply p-2 mb-4 text-lg border-2 rounded w-full;
}
